%define realname	PerlIO-via-dynamic

Name:		perl-%{realname}
Version:        0.12
Release: %mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:        Perl module that helps creating dynamic PerlIO layers
Source0:        http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{realname}-%{version}.tar.gz
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildArch:      noarch

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers.
It is useful when the behavior or the layer depends on variables.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/* 



%changelog
* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.12-3mdv2008.0
+ Revision: 64194
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.12-2mdv2008.0
+ Revision: 25178
- rebuild


* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-1mdk
- New release 0.12
- use mkrel

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.11-2mdk
- rebuild for new perl

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 0.11-1mdk
- New release 0.11

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.02-2mdk 
- rebuild for new perl ( [DIRM] )

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.02-1mdk 
- First MandrakeSoft Package

